fish (4.2.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove upper limit from serial-test dev-dependency.
    + Thanks to plugwash for the patch. (Closes: #1123794)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 03 Jan 2026 01:35:27 +0530

fish (4.2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove broken (inverted) test skip from the previous upload.
  * Make test failures non-fatal. (see #1121178) (Closes: #1121377)

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Nov 2025 07:20:26 +0200

fish (4.2.1-3) unstable; urgency=medium

  * Skip tests on riscv64, too slow to not have timeouts.
  Closes: #1121377

 -- Blair Noctis <ncts@debian.org>  Tue, 25 Nov 2025 14:19:15 +0000

fish (4.2.1-2) unstable; urgency=medium

  * Reinstate fix-libc-timespec.patch for armhf

 -- Blair Noctis <ncts@debian.org>  Fri, 21 Nov 2025 16:40:34 +0000

fish (4.2.1-1) unstable; urgency=medium

  * New upstream version
  * Drop outdated patches
  * Refresh existing patches
  * Adjust Rust dependency phf to use packaged version
  * Drop Rust dependency unix_path, only used on Windows, not packaged

 -- Blair Noctis <ncts@debian.org>  Thu, 21 Nov 2025 15:18:11 +0000

fish (4.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mo Zhou ]
  * correct the blhc regex

  [ Peter Green ]
  * Add upstream patch for nix 0.30
  * Tighten debian build-dependency on nix to match Cargo dependency.
    Closes: #1116313

 -- Nilesh Patra <nilesh@debian.org>  Fri, 17 Oct 2025 17:52:00 +0530

fish (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Apr 2025 13:01:54 -0400

fish (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Drop cherry-picked patches that are already merged in 4.0.1.
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Mar 2025 19:01:18 -0400

fish (4.0.0-3) unstable; urgency=medium

  [ Shengqi Chen ]
  * d/rules: make blhc happy by ignoring Rust crate compiling log

  [ Mo Zhou ]
  * Apply patchset from upstream Integration_4.0.1 branch. (Closes: #1099240)

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Mar 2025 23:13:27 -0500

fish (4.0.0-2) unstable; urgency=medium

  * Use wildcard to figure out build directory instead.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 28 Feb 2025 15:33:06 -0500

fish (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Remove unneeded patches and refresh remaining ones.
  * Update src/signal.rs patch to fix syntax error.
  * The target for tests is fish_run_tests now.
  * Add tmux and git as dependencies for running tests.
  * Patch the wrong Cargo metadata.

 -- Mo Zhou <lumin@debian.org>  Fri, 28 Feb 2025 11:14:38 -0500

fish (4.0~b1-1~exp5) experimental; urgency=medium

  [ Blair Noctis ]
  * Disable SIGSTKFLT on all of mips{,64{,el}}
  * d/control: reorder B-Ds
  * d/patches: drop inline-rsconf, accepted; d/control: add B-D

  [ Mo Zhou ]
  * Insert the changelog for 3.7.1-2 from unstable.

 -- Blair Noctis <ncts@debian.org>  Sun, 29 Dec 2024 12:46:28 +0000

fish (4.0~b1-1~exp4) experimental; urgency=medium

  * Fix build on mips64el which lacks libc::SIGSTKFLT
  * Fix stat segfaults on i386 with librust-libc-dev >= 0.2.169

 -- Blair Noctis <ncts@debian.org>  Sun, 29 Dec 2024 06:33:31 +0000

fish (4.0~b1-1~exp3) experimental; urgency=medium

  * Fix build on certain archs where libc::timespec has private fields due to
    Debian patch
  * Fix build on riscv64 which lacks libc::SIGUNUSED

 -- Blair Noctis <ncts@debian.org>  Sun, 22 Dec 2024 08:06:53 +0000

fish (4.0~b1-1~exp2) experimental; urgency=medium

  * Fix the build for Arch: all. At least make amd64 package installable.

 -- Mo Zhou <lumin@debian.org>  Sat, 21 Dec 2024 23:10:01 -0500

fish (4.0~b1-1~exp1) experimental; urgency=medium

  * New upstream version 4.0b1, to experimental
  * Vendor fish forked pcre2 crate, to be decided with upstream
  * Bump S-V to 4.7.0

  [ Mo Zhou ]
  * Require B-D librust-terminfo-dev (>= 0.9.0~) to avoid unnecessary FTBFS.
  * Patch the version test due to version mangling from 4.0b1 to 4.0~b1.
  * Add ncurses-term to B-D.
  * rules: Delete the .cargo directory on clean.

 -- Blair Noctis <ncts@debian.org>  Thu, 19 Dec 2024 14:53:55 +0000

fish (3.7.1-2) unstable; urgency=medium

  * Skip the broken test against pcre2-10.45. (Closes: #1096221)
    (See:https://github.com/fish-shell/fish-shell/issues/11164)

 -- Mo Zhou <lumin@debian.org>  Mon, 24 Feb 2025 13:22:54 -0500

fish (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1

 -- Mo Zhou <lumin@debian.org>  Tue, 26 Mar 2024 13:23:19 -0400

fish (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Specify CMAKE_BUILD_TYPE=RelWithDebInfo.

 -- Mo Zhou <lumin@debian.org>  Mon, 01 Jan 2024 12:28:54 -0500

fish (3.6.4-1) unstable; urgency=medium

  * New upstream version 3.6.4 (Closes: #1057455) (Fixes: CVE-2023-49284)
  * Make uploader the maintainer. (Closes: #1040969)
    Tristan has retired from Debian. Thank you for your contributions!
  * Fix source build after successful build. (Closes: #1044864)

 -- Mo Zhou <lumin@debian.org>  Tue, 19 Dec 2023 19:02:35 -0500

fish (3.6.1-1) unstable; urgency=medium

  [ David Adam ]
  * d/copyright: update to match reality

  [ Mo Zhou ]
  * New upstream version 3.6.1
  * Remove all patches (already in new release).
  * cme update dpkg-copyright (w/ manual edits).
  * Copoyright: add missing licenses.
  * Delete debian/NEWS.
    Even the oldoldstable version is newer than the latest NEWS entry now.
  * Recommend python3:any | python3-minimal:any for fish-common.
  * Update lintian overrides. We are lintian-clean.

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 15:28:04 -0700

fish (3.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an upstream workaround for Midnight Commander's issue with prompt.
    See https://github.com/fish-shell/fish-shell/pull/9540 and #1000351.
    Closes: #1035353.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 01 May 2023 19:01:01 +0200

fish (3.6.0-3) unstable; urgency=medium

  * Cherry-pick upstream fixes from the v3.6.1 branch.
  * Add the missing Depends on procps (Closes: #1029940).

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Mar 2023 10:20:50 -0400

fish (3.6.0-2) unstable; urgency=medium

  * Ignore several flaky tests for armel.

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Feb 2023 20:05:29 -0500

fish (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0 (Jan 2023)

 -- Mo Zhou <lumin@debian.org>  Sat, 07 Jan 2023 11:39:49 -0500

fish (3.5.1+ds-2) unstable; urgency=medium

  * Move `lynx | www-browser` from Depends to Recommends. (Closes: #1017464)
  * Track version via fishshell.com instead of the broken GitHub.

 -- Mo Zhou <lumin@debian.org>  Tue, 13 Dec 2022 12:01:14 -0500

fish (3.5.1+ds-1) unstable; urgency=medium

  * New upstream version 3.5.1+ds (released July 20, 2022)

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Jul 2022 09:42:32 -0700

fish (3.5.0+ds-1) unstable; urgency=medium

  * New upstream version 3.5.0+ds (June 2022)

 -- Mo Zhou <lumin@debian.org>  Thu, 16 Jun 2022 20:02:33 -0700

fish (3.4.1+ds-1) unstable; urgency=medium

  * New upstream version 3.4.1 (Closes: #1008618, #1008149)
  * d/copyright: Bump year.

 -- Mo Zhou <lumin@debian.org>  Thu, 31 Mar 2022 21:17:18 -0400

fish (3.4.0+ds-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * No longer need to manually create the `version` file.
  * Remove unused patches and upstream-merged patches.
  * Change pristine-tar to True in gbp.conf.

 -- Mo Zhou <lumin@debian.org>  Sat, 19 Mar 2022 22:51:25 -0400

fish (3.3.1+ds-3) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Fix missing incldue for DEB_VERSION (Closes: #1001583, #1002332).
  * Adapt version filtering regex to fix build on Salsa CI

  [ Mo Zhou ]
  * No resetting PATH with hardcoded list. (Closes: #1000199)
    Thanks to Federico Di Gregorio
  * Use DEB_VERSION_UPSTREAM instead for correct version string.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 12:37:31 -0500

fish (3.3.1+ds-2) unstable; urgency=medium

  [ David Adam ]
  * Remove obsolete dh_install override
  * Remove and refresh dependencies
  * Add build dependency on Sphinx (Closes: #999701)

  [ Jochen Sprickerhof ]
  * Fix reset $PATH only for login shells (Closes: #999749)
  * Fix dependency on ul
  * Drop old Pre-Dep/Replaces (versions are in oldoldstable)
  * Drop unused build dependency on quilt
  * Adopt to debhelper 13
  * Drop wrong lintian overwrites
  * Replace transition package libncurses5-dev

  [ Mo Zhou ]
  * d/watch: Import from git release instead of git tags.
  * Really export variables to fixup hardening.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Fri, 19 Nov 2021 14:35:52 -0500

fish (3.3.1+ds-1) unstable; urgency=medium

  [ Tristan Seligmann ]
  * Delete .gitlab-ci.yml; using recipes/debian.yml@salsa-ci-team/pipeline now.

  [ Patrice Duroux ]
  * Make new upstream releases detectable by uscan. (Closes: #985665)

  [ Mo Zhou ]
  * New upstream version 3.3.1 (Closes: #968303)
  * Update debian/fish.docs and d/watch files.
  * Add python3-pexpect as a test dependency.
  * Synchronize default PATH of fish with /etc/profile. (Closes: #985153)
  * Remove unwanted tests following upstream.
  * Override upstream git version detection.
  * Strip upstream vendored PCRE2 library.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Nov 2021 20:28:38 -0500

fish (3.1.2-3) unstable; urgency=medium

  * Fix changelog that I somehow mangled.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 24 Jul 2020 09:27:34 +0200

fish (3.1.2-2) unstable; urgency=medium

  * Minimize upstream keyring.
  * Fix dh_install excludes, thanks to David Adam (Closes: #964385).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jul 2020 12:28:54 +0200

fish (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Bump debhelper compat level to 13 (no change).
  * Specify Rules-Requires-Root: no.

 -- Mo Zhou <lumin@debian.org>  Tue, 12 May 2020 09:10:21 +0800

fish (3.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Piper McCorkle ]
  * Depend on python3-distutils so fish_config works (Closes: #956565)

 -- Punit Agrawal <punit@debian.org>  Sat, 18 Apr 2020 07:36:57 +0900

fish (3.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark fish-common as Multi-Arch: foreign

 -- Punit Agrawal <punit@debian.org>  Sat, 07 Mar 2020 10:01:55 +0900

fish (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Deprecate two of the old patches as they nolonger apply.
  * Build system migration from autotools to CMake.
  * Export HOME=/tmp for the tests.
  * Update my mail address in control and copyright.
  * Don't install rg.fish (older than the one provided in src:ripgrep).
    Change dh_missing behaviour to --fail-missing.
  * Bump Standards-Version to 4.5.0 (no change).
  * Rules: don't install CHANGELOG more than once.
  * Apply wrap-and-sort.
  * Deprecate d/compat and B-D on debhelper-compat (= 12).
  * Build-Depends on python3.
  * Build-Depends on ninja and use the cmake+ninja buildsystem.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Feb 2020 12:19:00 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog fish`.
